=== debian/changelog ===
pommed (1.39~dfsg-5.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:40 +1100

pommed (1.39~dfsg-5.2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:00:18 +0000

pommed (1.39~dfsg-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop gpomme. (Closes: #967706, #405936)

 -- Bastian Germann <bage@debian.org>  Thu, 12 Oct 2023 13:58:10 +0000

pommed (1.39~dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957698)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 04 Aug 2020 20:18:05 +0100

pommed (1.39~dfsg-5) unstable; urgency=medium

  * Change team mail address. (Closes: #899658)
  * Update debhelper to 11.
  * Bump Standards-Version to 4.1.4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 02 Jun 2018 06:46:53 +0900

pommed (1.39~dfsg-4) unstable; urgency=low

  * Add patches/apple-keyboard-ids. Support for recent internal keyboards.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 25 Jul 2013 10:35:12 +0200

pommed (1.39~dfsg-3) unstable; urgency=low

  * Update debian/control.
    -  Change Maintainer field and Add Uploaders field. (Closes: #688529)
       Maintainer: Debian Mactel <pkg-mactel-devel@lists.alioth.debian.org>
       Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
    - Bump Standard Version: 3.9.4
    - Update debhelper to 9.
  * Update debian/compat to 9.
  * Update debian/rules.
    - Convert to dh.
  * Add patches/MacBookPro91.patch. Support Macbook Pro 9,1. (Closes: #708150)
  * Add patches/0001-rely-on-sys-inotify.h-for-inotify-support.patch.
    Update inotify support. (Closes: #676948)
  * Update debian/copyright to DEP5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Jul 2013 11:25:35 +0900

pommed (1.39~dfsg-2) unstable; urgency=low

  * debian/patches/build_flags.patch:
    + Added; force empty inotify and timerfd build flags (closes: #639078).

 -- Julien BLACHE <jblache@debian.org>  Wed, 14 Sep 2011 19:10:29 +0200

pommed (1.39~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Jun 2011 11:31:04 +0200

pommed (1.38~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Allow disabling audio support entirely (closes: #404352).

  * debian/control:
    + Remove Conflicts/Replaces mbpeventd; this was a long time ago.
  * debian/pommed.preinst:
    + Remove; mbpeventd migration is not needed anymore.

 -- Julien BLACHE <jblache@debian.org>  Sat, 19 Mar 2011 12:34:59 +0100
