=== debian/control ===
Source: pommed
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mactel <team+pkg-mactel-devel@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
	   Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 11), libpci-dev [i386 amd64],
	libofapi-dev (>= 0git20070620) [powerpc], libconfuse-dev, libasound2-dev,
	libaudiofile-dev, pkg-config, libdbus-1-dev, libdbus-glib-1-dev,
	libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 4.1.4

Package: pommed
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, eject
Recommends: dbus
Description: Apple laptops hotkeys event handler
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook, PowerBook and iBook laptops and adjusts the LCD backlight, sound
 volume, keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 pommed also monitors the ambient light sensors to automatically
 light up the keyboard backlight on machines that support it.

Package: wmpomme
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, pommed (>= 1.29~dfsg-1), dbus
Description: WindowMaker dockapp client for pommed
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook, PowerBook and iBook laptops and adjusts the LCD backlight, sound
 volume, keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 wmpomme is a dockapp client for pommed. It displays the current level of
 each item controlled by pommed.
