=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- pommed wmpomme

override_dh_auto_install:
	# Install pommed
	cp pommed/pommed $(CURDIR)/debian/pommed/usr/sbin/

	mkdir -p $(CURDIR)/debian/pommed/usr/share/pommed
	cp $(CURDIR)/pommed/data/* $(CURDIR)/debian/pommed/usr/share/pommed/
	ln -sf goutte.wav $(CURDIR)/debian/pommed/usr/share/pommed/beep.wav

	mkdir -p $(CURDIR)/debian/pommed/etc/dbus-1/system.d
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH), powerpc)
	cp pommed.conf.pmac $(CURDIR)/debian/pommed/etc/pommed.conf
else
	cp pommed.conf.mactel $(CURDIR)/debian/pommed/etc/pommed.conf
endif
	cp dbus-policy.conf $(CURDIR)/debian/pommed/etc/dbus-1/system.d/pommed.conf

	# Install wmpomme
	cp wmpomme/wmpomme $(CURDIR)/debian/wmpomme/usr/bin/

	cp icons/gpomme_32x32.xpm $(CURDIR)/debian/wmpomme/usr/share/pixmaps/wmpomme.xpm

	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog 

override_dh_installinit:
	dh_installinit --error-handler=init_eh
